Package org.gradle.api.component

# Interface PublishableComponent

All Superinterfaces:
  `ComponentWithCoordinates`, `Named`, `SoftwareComponent`

All Known Subinterfaces:
  `CppExecutable`, `CppSharedLibrary`, `CppStaticLibrary`

public interface PublishableComponent extends SoftwareComponent, ComponentWithCoordinates
Represents a component that can be published.

Since:
  4.7

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.component.ComponentWithCoordinates

  `getCoordinates`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`